Bug 1423830 - kvirc: FTBFS in rawhide: invalid use of incomplete type 'DH {aka struct dh_st}'
Summary: kvirc: FTBFS in rawhide: invalid use of incomplete type 'DH {aka struct dh_st}'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kvirc
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: nucleo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1383740 F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 14:55 UTC by Fedora Release Engineering
Modified: 2017-07-23 03:55 UTC (History)
4 users (show)

Fixed In Version: kvirc-5.0.0-0.7.alpha2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 03:55:04 UTC
Type: ---


Attachments (Terms of Use)
build.log (433.03 KB, text/plain)
2017-02-17 14:55 UTC, Fedora Release Engineering
no flags Details
root.log (140.35 KB, text/plain)
2017-02-17 14:55 UTC, Fedora Release Engineering
no flags Details
state.log (647 bytes, text/plain)
2017-02-17 14:55 UTC, Fedora Release Engineering
no flags Details
spec file to fix ftbfs (1.63 KB, patch)
2017-07-12 11:32 UTC, leigh scott
no flags Details | Diff

Description Fedora Release Engineering 2017-02-17 14:55:05 UTC
Your package kvirc failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17730478

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 14:55:11 UTC
Created attachment 1252838 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 14:55:14 UTC
Created attachment 1252839 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 14:55:16 UTC
Created attachment 1252840 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 11:44:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Petr Pisar 2017-03-01 13:07:12 UTC
This is an incompatibility with OpenSSL 1.1.0:

/builddir/build/BUILD/kvirc-5.0.0-alpha2/src/kvilib/net/KviSSL.cpp: In function 'DH* my_get_dh(int)':
/builddir/build/BUILD/kvirc-5.0.0-alpha2/src/kvilib/net/KviSSL.cpp:214:4: error: invalid use of incomplete type 'DH {aka struct dh_st}'
  dh->p=BN_bin2bn(p,sp,0);
    ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from /builddir/build/BUILD/kvirc-5.0.0-alpha2/src/kvilib/net/KviSSL.h:43,
                 from /builddir/build/BUILD/kvirc-5.0.0-alpha2/src/kvilib/net/KviSSL.cpp:27:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~

Comment 6 leigh scott 2017-07-12 11:32:48 UTC
Created attachment 1296906 [details]
spec file to fix ftbfs

@nucleo Do you have any objection to me fixing the issue with the attached spec file patch?

Comment 7 Rex Dieter 2017-07-12 11:48:27 UTC
I think it safer and wiser to just use
BuildRequires: compat-openssl10-devel
for f26+ builds.  As menitioned in upstream issue,
https://github.com/kvirc/KVIrc/issues/2151

mixing openssl libs in the same process (Qt still uses compat-openssl10) is risky.

Comment 8 Fedora Update System 2017-07-12 12:52:11 UTC
kvirc-5.0.0-0.7.alpha2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b55e2dfd7b

Comment 9 Fedora Update System 2017-07-12 18:23:01 UTC
kvirc-5.0.0-0.7.alpha2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b55e2dfd7b

Comment 10 Fedora Update System 2017-07-23 03:55:04 UTC
kvirc-5.0.0-0.7.alpha2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.